Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.publication.protocol.v3
Class BusinessError

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.fgov.ehealth.ehbox.publication.protocol.v3.BusinessError

All Implemented Interfaces:
  Serializable

    @WebFault(name="BusinessError",
              targetNamespace="urn:be:fgov:ehealth:errors:service:v1")
    public class BusinessError

extends Exception

This class was generated by the JAX-WS RI. JAX-WS RI 2.1.6 in JDK 6 Generated source version: 2.1

See Also:
  Serialized Form

Constructor Summary
`BusinessError(String message, ServiceErrorType faultInfo)`
`BusinessError(String message, ServiceErrorType faultInfo, Throwable cause)`

Method Summary
`ServiceErrorType` | `getFaultInfo()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BusinessError

    public BusinessError(String message,
                         ServiceErrorType faultInfo)

Parameters:
  `message` -
  `faultInfo` -

### BusinessError

    public BusinessError(String message,
                         ServiceErrorType faultInfo,
                         Throwable cause)

Parameters:
  `message` -
  `faultInfo` -
  `cause` -

Method Detail

### getFaultInfo

    public ServiceErrorType getFaultInfo()

  Returns:
    returns fault bean: be.fgov.ehealth.errors.service.v1.ServiceErrorType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.